<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="UTF-8"><meta name="copyright" content="(C) Copyright 2020"><meta name="DC.rights.owner" content="(C) Copyright 2020"><meta name="DC.type" content="topic"><meta name="DC.format" content="HTML5"><meta name="DC.identifier" content="specificatie-van-een-informatieobject"><link rel="stylesheet" type="text/css" href="css/commonltr.css"><link rel="stylesheet" type="text/css" href="css/stop.css"><title>Specificatie van een informatieobject</title><link rel="shortcut icon" href="https://koop.gitlab.io/STOP/0.98-kern/img/stop.png"></head><body id="specificatie-van-een-informatieobject"><header role="banner"><div>
  <script type="text/javascript">
    function search_google () {
    document.getElementById('search_google_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
    function search_bing () {
    document.getElementById('search_bing_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
  </script>
  <table>
    <tr>
      <td colspan="2">Standaard Officiële Publicaties</td>
      <td class="versie">versie 0.98.1-kern</td>
    </tr>
    <tr>
      <td class="subtitle">Voor gebruik in DSO-PI12 en DSO-PI13<br>
        Meest recente versie: zie <a href="https://koop.gitlab.io/STOP/standaard/index.html">doorontwikkeling</a></td>
      <td colspan="2" class="search">
        <form>
          <label for="search_tekst">Zoek naar</label> <input type="text" id="search_tekst" size="31" value="">
        </form>
        met
        <form method="get" action="https://www.google.com/search" target="_blank" onsubmit="search_google()">
          <input type="text" name="q" id="search_google_q" size="31" value="" style="display:none;">
          <input type="submit" value="Google">
        </form>
        of
        <form method="get" action="https://www.bing.com/search" target="_blank" onsubmit="search_bing()">
          <input type="text" name="q" id="search_bing_q" size="31" value="" style="display:none;">
          <input type="submit" value="Bing">
        </form>
      </td>
    </tr>
  </table>
</div></header><nav role="toc"><ul><li><a href="index.html">Introductie</a></li><li><a href="leeswijzers.html">Leeswijzers</a><ul><li><a href="modulairestructuur.html">Modulaire structuur</a></li><li><a href="domeinspecifiek.html">Domein-specifieke toepassingen</a></li><li><a href="tekstmodellen.html">Modellering van tekst</a></li><li><a href="informatieobjecten.html">Modellering van informatieobjecten</a><ul><li><a href="GIOConceptueel.html">GIO conceptueel</a></li><li><a href="IO_Document.html">Document als informatieobject</a></li><li class="active"><a href="specificatie_IO.html">Specificatie van een informatieobject</a></li><li><a href="Relatie_Besluit_IO.html">Relatie met het besluit</a></li></ul></li><li><a href="naamgevingsconventie.html">Naamgevingsconventie</a></li><li><a href="tekstmuteren.html">Tekstmuteren</a></li></ul></li><li><a href="EA_D7FEF211FB2646928045FDF1A8F4D28A.html">Informatiemodel Officiele Publicaties</a></li><li><a href="technische_documentatie.html">Technische documentatie</a></li><li><a href="begrippenlijst.html">Begrippenlijst</a></li></ul></nav><main role="main"><article role="article" aria-labelledby="ariaid-title1"><h1 class="title topictitle1" id="ariaid-title1">Specificatie van een informatieobject</h1><div class="body"><p class="p">De specificatie voor een versie van een document-informatieobject bestaat uit een aantal delen:</p><ul class="ul"><li class="li"><p class="p"><a class="xref" href="data_xsd_Element_data_ExpressionIdentificatie.html#ExpressionIdentificatie">Identificatie</a> van het informatieobject;</p></li><li class="li"><p class="p"><a class="xref" href="data_xsd_Element_data_InformatieObjectMetadata.html#InformatieObjectMetadata">Metadata</a> voor het informatieobject;</p></li><li class="li"><p class="p">een of meer bestanden met de eigenlijke inhoud van het informatieobject, waarnaar verwezen als onderdeel van de metadata in een <a class="xref" href="data_xsd_Element_data_Bestand.html#Bestand">data:Bestand</a></p></li></ul><p class="p">Het ligt voor de hand dat een STOP-verwerkend systeem middels een <a class="xref" href="modulairestructuur.html">API-specificatie</a> aanvullende eisen stelt aan informatieobjecten.</p></div><article class="topic nested1" aria-labelledby="ariaid-title2" id="onveranderlijkheid-van-informatieobjecten"><h2 class="title topictitle2" id="ariaid-title2">Onveranderlijkheid van informatieobjecten</h2><div class="body"><p class="p">Voor de <a class="xref" href="bijlage_IO.html">informatieobjecten met publicatieinstructie <code class="ph codeph">AlleenBekendTeMaken</code> en <code class="ph codeph">TeConsolideren</code></a> moet de LVBB de "<a class="xref" href="EA_D86310E83C194a968141943A747F6D46.html#Pkg">onverantwoordelijkheid borgen</a>". De LVBB moet kunnen aantonen dat het(de) bestand(en) die de eigenlijke inhoud van het informatieobject bevatten tijdens de verwerking op geen enkele manier veranderen. Om dit te bereiken worden de cryptografische hash-functies SHA-512 gebruikt; van elk bestand kan een uniek SHA512-has worden berekend. Het BG moet deze hash berekenen van elke aangeleverd bestand en vastleggen in de Metadata van het informatieobject, in de eigenschap <a class="xref" href="begrippenlijst_hash.html#hash"><code class="ph codeph">hash</code></a>. Deze metadata worden gepubliceerd bij de bekendmaking van de informatieobjecten. Daarmee kan de LVBB aantonen dat de bestanden in die bekendmaking gelijke hash-codes hebben en daarmee onveranderd zijn.</p></div></article></article></main></body></html>